import type { _SCNGeometry } from "./SCNGeometry.js";
export declare class _SCNFloor extends _SCNGeometry {
    static alloc(): _SCNFloor;
    static new(): _SCNFloor;
    init(): _SCNFloor;
    /**
     * @method floor @abstract Creates and returns a floor. @discussion A floor is an infinite plane.
     */
    static floor(): _SCNFloor;
    /**
     * @property reflectivity @abstract Specifies the reflectivity of the floor. Animatable. @discussion If the value is greater than zero then the surface will reflect other objects in the scene. The default value is 0.25.
     */
    reflectivity(): number;
    setReflectivity$(value: number): void;
    /**
     * @property reflectionFalloffStart @abstract Specifies the distance from the floor where the falloff begins. Animatable. @discussion The default value is 0.
     */
    reflectionFalloffStart(): number;
    setReflectionFalloffStart$(value: number): void;
    /**
     * @property reflectionFalloffEnd @abstract Specifies the distance from the floor where the falloff finishes. Animatable. @discussion If the value is 0 then there is no falloff. The default value is 0.
     */
    reflectionFalloffEnd(): number;
    setReflectionFalloffEnd$(value: number): void;
    /**
     * @property reflectionCategoryBitMask @abstract Determines the node categories to reflect. Defaults to all bits set.
     */
    reflectionCategoryBitMask(): number;
    setReflectionCategoryBitMask$(value: number): void;
    /**
     * @property width @abstract The floor extent along the X axis. Animatable. @discussion If the value is equal to 0, the floor is infinite on the X axis. The default value is 0.
     */
    width(): number;
    setWidth$(value: number): void;
    /**
     * @property length @abstract The floor extent along the Z axis. Animatable. @discussion If the value is equal to 0, the floor is infinite on the Z axis. The default value is 0.
     */
    length(): number;
    setLength$(value: number): void;
    /**
     * @property reflectionResolutionScaleFactor @abstract Specifies the resolution scale factor of the buffer used to render the reflection. @discussion Defaults to 1.0.
     */
    reflectionResolutionScaleFactor(): number;
    setReflectionResolutionScaleFactor$(value: number): void;
}
